ASTMulNode (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTMulNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTMulNode

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTMulNode

All Implemented Interfaces:
  Node

public class ASTMulNode
extends SimpleNode

Handles integer multiplication Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTMulNode.java,v 1.7.8.1 2004/03/03 23:22:59 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTMulNode(int id)`
`ASTMulNode(Parser p, int id)`

Method Summary
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` | `value(InternalContextAdapter context)` computes the product of the two args.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTMulNode

    public ASTMulNode(int id)

### ASTMulNode

    public ASTMulNode(Parser p,
                      int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### value

    public java.lang.Object value(InternalContextAdapter context)
                           throws MethodInvocationException

  computes the product of the two args. Returns null if either arg is null or if either arg is not an integer

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Throws:
    `MethodInvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.